--- main.cc.orig	2006-12-15 22:01:43.000000000 +0100
+++ main.cc	2006-12-16 17:43:23.000000000 +0100
@@ -93,6 +93,7 @@
 static int opt_parse_cfg_only = 0;
 static char *opt_syslog_facility = NULL;
 static int icpPortNumOverride = 1;	/* Want to detect "-u 0" */
+static int virtualHostAccel = 0;	/* Want to detect "-V" */
 static int configured_once = 0;
 #if MALLOC_DBG
 static int malloc_debug_level = 0;
@@ -292,21 +293,8 @@
             break;
 
         case 'V':
-
-            if (Config.Sockaddr.http)
-                Config.Sockaddr.http->vhost = 1;
-
-#if USE_SSL
-
-            else if (Config.Sockaddr.https)
-                Config.Sockaddr.https->http.vhost = 1;
-
-#endif
-
-            else
-                fatal("No http_port specified\n");
-
-            break;
+	    virtualHostAccel = 1;
+	    break;
 
         case 'X':
             /* force full debugging */
@@ -1226,6 +1214,18 @@
         if (checkRunningPid())
             exit(1);
 
+    if (virtualHostAccel)
+    {
+        if (Config.Sockaddr.http)
+            Config.Sockaddr.http->vhost = 1;
+#if USE_SSL
+        else if (Config.Sockaddr.https)
+            Config.Sockaddr.https->http.vhost = 1;
+#endif
+       else
+            fatal("No http_port specified\n");
+    }
+
 #if TEST_ACCESS
 
     comm_init();

